人力検索はてな
モバイル版を表示しています。PC版はこちら
i-mobile

Flash のプラグインがないと、swfって表示させることができませんが、このプラグインは最近のブラウザ(IE,Netscape)に標準で入っていますか?もし入っているのなら、いつ頃のバージョンから入るようになったのかも合わせて教えてください。

●質問者: emmet
●カテゴリ:コンピュータ
✍キーワード:Flash IE Netscape swf バージョン
○ 状態 :終了
└ 回答数 : 6/6件

▽最新の回答へ

1 ● aska1210
●15ポイント

http://www.macromedia.com/jp/software/flashplayer/productinfo/fa...

Adobe - Adobe Flash Player : FAQ

マクロメディアのページです。

基本的にははいっているみたいです。

いつ頃からはいっているかは分かりません。

申し訳ないです。

◎質問者からの返答

ありがとうございます。

やはり入ってるんですね〜。

※この後の回答には、いつからか、が判るサイトをぜひご紹介ください。


2 ● hinetk
●15ポイント

http://66.102.7.104/search?q=cache:8Uy1ZSsBPycJ:member.nifty.ne....

>Shockwaveには for FreeHand や for Authorware など色々な種類がありますが、一般的には for Director、もしくはその後継ソフトのフォーマット for Flash を表す場合が多いようです。 とくに最新型の for Flash はデータ容量が小さくて済む為、最近は事実上ウェブで Shockwaveと云えば、これを指します。 Netscape Navigator(製品版)、Internet Explorerとも、3.0以降のバージョンであれば標準で組み込まれています。

とありますのでこの辺りからでしょう。

結構古いですね

◎質問者からの返答

ありがとうございます

こんなに古くからとは、知りませんでした。

プラグインがない人はこちらから…というのを今でも見かけるので、まだ標準じゃないマシンもたくさんあるのではと思ったのです。


3 ● Yuny
●15ポイント

http://www.yasuhisa.com/could/entries/000437.php

COULD:Flashの歴史

96年の年末にFlash1.0が出ています。

http://tohoho.wakusei.ne.jp/wwwxx018.htm

そのファイルは現在ありません

当時はNetscape Navigator 3.0、Internet Explorer 3.0。

http://pc.watch.impress.co.jp/docs/article/970123/mm.htm

マクロメディア、FreeHand 7J、Macromedia Flashを発売

Flash 1.0のニュースリリースです。この文面の様子から考えて、まだだったみたいですね。

http://fpower.org/flashjou.htm

Flashのリリース史。

とりあえず、調べられたのはここまでです。古いIEやNCのインストーラを調べれば、もしかしたら分かるかもしれませんが。

◎質問者からの返答

ありがとうございます。

印象としては、わりと最近までプラグインはプレインストールされてなかったような「気がする」んですね。←ホントに印象だけの話なのですが。

最初に回答くださったaska1210さんの紹介くださったコンテンツを見ても、XPなら標準でプレインストールされていると書かれている…ということは、Meや2000のころのWindowsマシンの頃のIE(ちょっと表現がおかしいですが)ではまだプラグインを入れる必要があったように見えますし…。

****

ただいま午後5時過ぎなのですが、この後夜中までアクセスできません。回答は帰宅次第拝見致します。


4 ● aki73ix
●15ポイント

http://www.gac.jp/article/index.php?stats=question&category=7&id...

GAC なぜなにGAC->Flash

ちょっと質問の趣旨から外れるのかもしれませんが、emmetさんの回答のコメントを見ていて思ったので、書かせていただきます

swf(ShockWaveFile)には色々な動きや効果が拡張されるごとにバージョンアップしています

つまり、バージョンが上のフラッシュメーカーで作成されたフラッシュは、バージョンが低いプラグインが入っていても見ることができないのです

ですから、見れない人は『プラグインを入れてください』という表記になるわけです

だから、Flash3で作成されたswfならNetscape 4.8で見れても、最近のフラッシュは殆ど見れないのでPluginが必要といった状況になります

ブラウザごとにプレインストールされている細かいバージョンについてはちょっと資料が無いみたいです。勿論、手作業で調べることもできなくは無いですが・・・(^^;

ですから、XPや2003やMacOSXにFlashのプラグインがプレインストールされているからといって、インストールが不要なわけではなく、新しいバージョンのフラッシュメーカーで作成されたデータが出現すれば、バージョンアップのために上書きインストールする必要があります

◎質問者からの返答

ありがとうございます。

確かにそうですね、バージョンアップの問題がありますね。

企業で各個人に渡されているマシンですと、ソフトのインストールの制限をしているものが多いので、swfを使えるかどうか、が疑問だったのです。

んー、敷居がたかそうな気がしてきました。

ただインストールされていればいいというものではありませんね。。。


5 ● KIROW
●15ポイント

http://bizns.nikkeibp.co.jp/cgi-bin/search/wcs-bun.cgi?ID=74201&...

WEBデザインの仕事をしてるものですが

フラッシュのショックウェーブプラグインは Windows98からOSに標準で同梱されましたね

おかげでこれからは気にせずフラッシュコンテンツが作れるとクライアントにプッシュした記憶があります

フラッシュプレイヤーの当時のバージョンは3か4くらいだったと思いますが はっきり覚えていません(すいません)

◎質問者からの返答

ありがとうございます。

古いバージョンのswfファイルに書き出すことが出来れば、大丈夫なのかしら〜と思いますが、なかなか一筋縄ではいかないですねぇ。。。


1-5件表示/6件
4.前の5件|次5件6.
関連質問


●質問をもっと探す●



0.人力検索はてなトップ
8.このページを友達に紹介
9.このページの先頭へ
対応機種一覧
お問い合わせ
ヘルプ/お知らせ
ログイン
無料ユーザー登録
はてなトップ